Clone Tools
  • last updated a few minutes ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Removing freemarker itests (#1883)

Signed-off-by: Ondrej Dockal <odockal@redhat.com>

  1. … 74 more files in changeset.
Refactoring freemarker itests to use RedDeer 2.0 (#1865)

Signed-off-by: Ondrej Dockal <odockal@redhat.com>

  1. … 10 more files in changeset.
JBIDE-23959 bump to 4.4.100-SNAPSHOT in master; also fix broken deps to org.jboss.tools*reddeer plugins

Signed-off-by: nickboldt <nboldt@redhat.com>

  1. … 91 more files in changeset.
Change reddeer deps to version 2 (#1786)

  1. … 42 more files in changeset.
JBIDE-24115 Move integration tests to 4.4.4 (#1782)

Move all versions to 4.4.4-SNAPSHOT

  1. … 91 more files in changeset.
Move to 4.4.3. (#1722)

Versions of all poms changed from 4.4.2 to 4.4.3.

Bundle-Version of all plugins changed.

  1. … 123 more files in changeset.
Update RedDeer dependencies in manifest.mf files of integration tests plugins and tests (#1709)

Replacing of multiple Reddeer package in required-bundle with unified package org.jboss.redder.go

Restriction of the range of used version to 1.2.0 included up to 2.0.0 excluded

  1. … 56 more files in changeset.
Move to 4.4.2.AM1-SNAPSHOT and upversion plugins (#1606)

In addition, I also changed all test manifests

to include ranges for .reddeer plugins: [4.4.2,4.5.0)

I used this command:

find . -iname MANIFEST.MF -ipath '*/META-INF/M*'|xargs perl -pi -e 's/\[4.4.1,4.5.0\)/[4.4.2,4.5.0)/'

  1. … 115 more files in changeset.
JBIDE-22556 Move to 4.4.1.Alpha1 and upversion plugins (#1532)

In addition, I also changed all test manifests

to include ranges for .reddeer plugins: [4.4.1,4.5.0)

  1. … 113 more files in changeset.
Tests for additional directives in code assist added

  1. … 1 more file in changeset.
Tests for additional directives in code assist added

  1. … 1 more file in changeset.
Update version to 4.3.1-SNAPSHOT

Because parent pom is now set to 4.3.1.Beta1,

this means that our plugins will have the version of

4.3.0.Beta1 (the qualifier is inherited) and that is lower

than 4.3.0.Final, so older dependencies will be prefered which is

wrong.

  1. … 107 more files in changeset.
Versions fixed in Hibernate and Freemarker tests and API manifests

  1. … 2 more files in changeset.
Versions fixed in Hibernate and Freemarker tests and API manifests

  1. … 2 more files in changeset.
Update version to 4.4.0-SNAPSHOT

  1. … 107 more files in changeset.
FreeMarker tests added into SmokeSuite

  1. … 2 more files in changeset.
Removes dependencies on org.jboss.reddeer.swt.test

  1. … 1 more file in changeset.
Removes dependencies on org.jboss.reddeer.swt.test

  1. … 1 more file in changeset.
Fixed imports and changes affected by RedDeer refactoring

  1. … 382 more files in changeset.
Freemarker ui test updated to latest RedDeer and warning removal done

  1. … 4 more files in changeset.
Update version to 4.3.0-SNAPSHOT and point to new parent

Now that JBT 4.2.0.Final is released, we need to move to

the new version.

  1. … 89 more files in changeset.
Added missing maven nature to hibernate UI test

  1. … 5 more files in changeset.
Freemarker minor updates due to the changes in RedDeer

  1. … 2 more files in changeset.
Version update for 4.2.0

Parent has been updated to 4.2.0.Alpha1-SNAPSHOT and all plugins

to 4.2.0-SNAPSHOT. Also, the ranges for bot ext version in all

manifests has been updated from [4.1.0,4.2.0) to [4.2.0,4.3.0).

  1. … 63 more files in changeset.
fix all manifest.mf files to list correct provider and set bundleshape: jar, bundlelocalization: plugin (JBIDE-16018)

  1. … 30 more files in changeset.
Freemarker UI test rewritten to RedDeer, SWTBot(ext) dep removed

  1. … 6 more files in changeset.
JBIDE-13859 Fix deps on org.jboss.tools.ui.bot.ext to restrict version

I noticed that many of our test jobs use wrong version of bot ext from local

maven repo. This is because we weren't scrict about the required version.

I fixed this in all tests' manifests.

  1. … 25 more files in changeset.
JBIDE-13859 Fix dependencies on org.jboss.tools.ui.bot.ext to restrict version

I noticed that many of our test jobs use wrong version of bot ext from local

maven repo. This is because we weren't scrict about the required version.

I fixed this in all tests' manifests.

  1. … 24 more files in changeset.
JBIDE-13770 Update integration-tests plugin versions to 4.1 in master

This is something that we should have done when master became JBT 4.1.x.

So let's at least do it now. Right now most test plugins are version

4.0.0-SNAPSHOT in both master and jbosstools-4.0.x branch.

I verified that everything can be built.

  1. … 64 more files in changeset.
JBIDE-12973 Remove the only reddeer version reference found in a manifest

This was discussed with jpeterka (it's his test). We agreed that it is no

longer necessary to specify the version since we the version will be given

by the repo definition in the root pom.